﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Encodings.PermutationEncoding;

namespace HeuristicLab.Operators.MPISupport.BinaryTransport {
  [Serializable]
  class PermutationTransfer {
    public PermutationTypes PermutationType { get; set; }

    public int[] Elements { get; set; }

    public static PermutationTransfer Convert(Permutation item) {
      PermutationTransfer result = new PermutationTransfer();

      result.PermutationType = item.PermutationType;
      result.Elements = item.ToArray();

      return result;
    }

    public static Permutation Convert(PermutationTransfer item) {
      Permutation result = new Permutation(item.PermutationType, item.Elements);

      return result;
    }
  }
}
